Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/Messages.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/Messages.java	(revision 3816)
@@ -1,12 +0,0 @@
-package org.txm.annotation.kr.core.repository;
-
-import org.txm.utils.messages.Utf8NLS;
-
-public class Messages extends Utf8NLS {
-	
-	static {
-		Utf8NLS.initializeMessages(Messages.class);
-	}
-	
-	private Messages() {}
-}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/LocalKnowledgeRepository.java	(revision 3816)
@@ -5,8 +5,11 @@
 import java.io.FileReader;
 import java.util.HashSet;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
+import org.txm.annotation.kr.core.messages.Messages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.sql.SQLConnection;
 import org.txm.utils.logger.Log;
 
@@ -27,14 +30,14 @@
 		
 		String path = accessProperties.get(SQLConnection.SQL_ADDRESS);
 		if (path == null || path.trim().length() == 0) { // no address, forge one
-			path = Toolbox.getTxmHomePath() + "/repositories/" + getName();
-			Log.finest("No address given to build values. No values created");
+			path = Toolbox.getTxmHomePath() + "/repositories/" + getName(); //$NON-NLS-1$
+			Log.finest("No address given to build values. No values created."); //$NON-NLS-1$
 			return true;
 		}
 		currentDirectory = new File(path);
 		
 		if (!currentDirectory.exists()) {
-			Log.finest("Values address given does not exists: " + currentDirectory);
+			Log.finest("Values address given does not exists: " + currentDirectory); //$NON-NLS-1$
 			return false;
 		}
 		try {
@@ -47,7 +50,7 @@
 				HashSet<String> values = new HashSet<String>();
 				while (line != null) {
 					if (line.length() > 0) {
-						String split[] = line.split("\t", 2);
+						String split[] = line.split("\t", 2); //$NON-NLS-1$
 						TypedValue val = null;
 						if (split.length == 2) {
 							val = new TypedValue(split[1], split[0], type);
@@ -57,7 +60,7 @@
 						}
 						
 						if (values.contains(val.getPK().getId())) {
-							Log.warning("WARNING: duplicate '" + val.getId() + "' value ID in '" + type + "' type of '" + name + "' knowledge repository. Ignoring the value.");
+							Log.warning(TXMCoreMessages.bind(Messages.WarningDuplicatedP0ValueInP1OfTheP2KRIgnoringTheValue, val.getId(), type, name)); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 						}
 						else {
 							values.add(val.getPK().getId());
@@ -77,7 +80,7 @@
 			return true;
 		}
 		catch (Exception e) {
-			Log.severe("Error while loading types from file: " + currentDirectory);
+			Log.severe(NLS.bind(Messages.ErrorWhileLoadingTypesFromFileP0, currentDirectory)); //$NON-NLS-1$
 			e.printStackTrace();
 			return false;
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationType.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationType.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationType.java	(revision 3816)
@@ -88,7 +88,7 @@
 	}
 	
 	public String toString() {
-		return name + "(" + effect + ")";
+		return name + "(" + effect + ")"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public void setURL(String webaccess) {
@@ -100,7 +100,7 @@
 	}
 	
 	public String toHumanString() {
-		return this.getName() + " (" + this.getId() + "): " + this.webaccess;
+		return this.getName() + " (" + this.getId() + "): " + this.webaccess; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public TypedValue getTypedValue(String value) {
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/SQLKnowledgeRepository.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/SQLKnowledgeRepository.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/SQLKnowledgeRepository.java	(revision 3816)
@@ -10,6 +10,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.sql.SQLConnection;
 import org.txm.utils.logger.Log;
 
@@ -120,10 +121,10 @@
 		boolean[] ret = { false, false };
 		
 		if (isConnected) return ret;
-		Log.warning("KR is not connected, checking credential requirement.");
-		if (DatabasePersistenceManager.ACCESS_SQL.equals(accessProperties.get("mode"))) {
-			ret[0] = "true".equals(accessProperties.get(SQLConnection.SQL_USER));
-			ret[1] = "true".equals(accessProperties.get(SQLConnection.SQL_PASSWORD));
+		Log.warning(Messages.KRIsNotConnectedCheckingCredentialRequirement); //$NON-NLS-1$
+		if (DatabasePersistenceManager.ACCESS_SQL.equals(accessProperties.get("mode"))) { //$NON-NLS-1$
+			ret[0] = "true".equals(accessProperties.get(SQLConnection.SQL_USER)); //$NON-NLS-1$
+			ret[1] = "true".equals(accessProperties.get(SQLConnection.SQL_PASSWORD)); //$NON-NLS-1$
 		}
 		return ret;
 	}
@@ -148,7 +149,7 @@
 			return true;
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Fail to get SQL connection with the {0} properties, error={1}", accessProperties, e));
+			Log.warning(NLS.bind(Messages.FailToGetSQLConnectionWithTheP0PropertiesErrorP1, accessProperties, e)); //$NON-NLS-1$
 		}
 		isConnected = false;
 		return false;
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/PropertiesRecoder.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/PropertiesRecoder.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/PropertiesRecoder.java	(revision 3816)
@@ -20,20 +20,20 @@
 	
 	ArrayList<String[]> anaValues = new ArrayList<String[]>();
 	
-	String[] currentAnaValues = { "", "", "" };
+	String[] currentAnaValues = { "", "", "" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	
 	StringBuilder anaValue = new StringBuilder();
 	
-	String EMPTY = "";
+	String EMPTY = ""; //$NON-NLS-1$
 	
 	@Override
 	public void processStartElement() throws XMLStreamException, IOException {
-		if (localname.equals("w")) {
+		if (localname.equals("w")) { //$NON-NLS-1$
 			startW = true;
 			anaValues.clear();
 			super.processStartElement();
 		}
-		else if (localname.equals("ana")) {
+		else if (localname.equals("ana")) { //$NON-NLS-1$
 			if (startW) {
 				startAna = true;
 				anaValue.setLength(0);
@@ -41,10 +41,10 @@
 				currentAnaValues[1] = EMPTY;
 				currentAnaValues[2] = EMPTY;
 				for (int i = 0; i < parser.getAttributeCount(); i++) {
-					if (parser.getAttributeLocalName(i).equals("resp")) {
+					if (parser.getAttributeLocalName(i).equals("resp")) { //$NON-NLS-1$
 						currentAnaValues[0] = parser.getAttributeValue(i);
 					}
-					else if (parser.getAttributeLocalName(i).equals("type")) {
+					else if (parser.getAttributeLocalName(i).equals("type")) { //$NON-NLS-1$
 						currentAnaValues[1] = parser.getAttributeValue(i);
 					}
 				}
@@ -67,14 +67,14 @@
 	
 	@Override
 	public void processEndElement() throws XMLStreamException {
-		if (localname.equals("w")) {
+		if (localname.equals("w")) { //$NON-NLS-1$
 			startW = false;
 			
 			for (String[] values : anaValues) {
 				try {
-					writer.writeStartElement("txm:ana");
-					writer.writeAttribute("resp", values[0]);
-					writer.writeAttribute("type", values[1]);
+					writer.writeStartElement("txm:ana"); //$NON-NLS-1$
+					writer.writeAttribute("resp", values[0]); //$NON-NLS-1$
+					writer.writeAttribute("type", values[1]); //$NON-NLS-1$
 					writer.writeCharacters(values[2]);
 					writer.writeEndElement();
 				}
@@ -86,7 +86,7 @@
 			
 			super.processEndElement();
 		}
-		else if (localname.equals("ana")) {
+		else if (localname.equals("ana")) { //$NON-NLS-1$
 			if (startW) {
 				currentAnaValues[2] = anaValue.toString();
 				anaValues.add(currentAnaValues);
@@ -100,13 +100,13 @@
 	
 	public static void main(String args[]) {
 		try {
-			File xmlFile = new File("/home/mdecorde/TEMP/test.xml");
-			File outfile = new File("/home/mdecorde/TEMP/test-o.xml");
+			File xmlFile = new File("/home/mdecorde/TEMP/test.xml"); //$NON-NLS-1$
+			File outfile = new File("/home/mdecorde/TEMP/test-o.xml"); //$NON-NLS-1$
 			HashSet<String> fromProperties = new HashSet<String>();
 			HashSet<String> toProperties = new HashSet<String>();
 			
 			PropertiesRecoder recoder = new PropertiesRecoder(xmlFile, fromProperties, toProperties);
-			System.out.println("Result: " + recoder.process(outfile));
+			System.out.println("Result: " + recoder.process(outfile)); //$NON-NLS-1$
 		}
 		catch (Exception e) {
 			e.printStackTrace();
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationComparator.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationComparator.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationComparator.java	(revision 3816)
@@ -10,11 +10,11 @@
 	public int compare(Annotation a1, Annotation a2) {
 		// comparer e1 et e2
 		
-		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
+		DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd"); //$NON-NLS-1$
 		// System.out.println("Date 1 : "+a1.getDate() + " => "+dateformat.format(a1.getDate()));
 		// System.out.println("Date 2 : "+a2.getDate() + " => "+dateformat.format(a2.getDate()));
-		StringTokenizer tokenizer1 = new StringTokenizer(dateformat.format(a1.getDate()), "-");
-		StringTokenizer tokenizer2 = new StringTokenizer(dateformat.format(a2.getDate()), "-");
+		StringTokenizer tokenizer1 = new StringTokenizer(dateformat.format(a1.getDate()), "-"); //$NON-NLS-1$
+		StringTokenizer tokenizer2 = new StringTokenizer(dateformat.format(a2.getDate()), "-"); //$NON-NLS-1$
 		
 		for (int i = 0; i < 2 && tokenizer1.hasMoreTokens() && tokenizer2.hasMoreTokens(); ++i) {
 			String token1 = tokenizer1.nextToken();
@@ -42,9 +42,9 @@
 	
 	public static void main(String[] args) {
 		AnnotationComparator comp = new AnnotationComparator();
-		Annotation a1 = new Annotation("truc", "bidule", 3, 10);
-		Annotation a2 = new Annotation("truc", "bidule", 6, 8);
+		Annotation a1 = new Annotation("truc", "bidule", 3, 10); //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("truc", "bidule", 6, 8); //$NON-NLS-1$ //$NON-NLS-2$
 		int ret = comp.compare(a1, a2);
-		System.out.println("Le retour est : " + ret);
+		System.out.println("Le retour est : " + ret); //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/DatabasePersistenceManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/DatabasePersistenceManager.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/DatabasePersistenceManager.java	(revision 3816)
@@ -9,13 +9,13 @@
 	// Object can be Corpus or KnowledgeRepository
 	protected HashMap<Object, EntityManager> managers;
 	
-	public static final String PERSISTENCE_UNIT_NAME = "HSQLKRPERSISTENCE";
+	public static final String PERSISTENCE_UNIT_NAME = "HSQLKRPERSISTENCE"; //$NON-NLS-1$
 	
-	public static String ACCESS_SQL = "sql";
+	public static String ACCESS_SQL = "sql"; //$NON-NLS-1$
 	
-	public static String ACCESS_FILE = "file";
+	public static String ACCESS_FILE = "file"; //$NON-NLS-1$
 	
-	public static String ACCESS_SPARQL = "sparql";
+	public static String ACCESS_SPARQL = "sparql"; //$NON-NLS-1$
 	
 	/**
 	 * Instantiates a new database manager.
@@ -48,7 +48,7 @@
 		for (Object key : managers.keySet()) {
 			EntityManager m = managers.get(key);
 			m.flush();
-			m.createNativeQuery("SHUTDOWN;");
+			m.createNativeQuery("SHUTDOWN;"); //$NON-NLS-1$
 			m.close();
 		}
 		managers.clear();
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3816)
@@ -14,7 +14,7 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.osgi.util.NLS;
 import org.osgi.service.prefs.BackingStoreException;
-import org.txm.annotation.kr.core.messages.KRAnnotationCoreMessages;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.annotation.kr.core.repository.AnnotationEffect;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
@@ -74,14 +74,14 @@
 		}
 		
 		if (monitor != null) {
-			monitor.beginTask(KRAnnotationCoreMessages.savingAnnotations, annots.size());
+			monitor.beginTask(Messages.savingAnnotations, annots.size());
 			monitor.setTaskName("Writing annotations in XML-TXM files");
 		}
 		
 		AnnotationWriter writer = new AnnotationWriter(corpus);
 		if (writer.writeAnnotations(annots, monitor)) {
-			Log.info(KRAnnotationCoreMessages.annotationSuccesfullyWritten);
-			corpus.getProject().appendToHistory(NLS.bind(KRAnnotationCoreMessages.savingP0Annotations, annots.size()));
+			Log.info(Messages.annotationSuccesfullyWritten);
+			corpus.getProject().appendToHistory(NLS.bind(Messages.savingP0Annotations, annots.size()));
 			tempManager.deleteAnnotations();
 			dirty = false;
 			return true;
@@ -93,7 +93,7 @@
 		AnnotationWriter writer = new AnnotationWriter(corpus);
 		
 		if (writer.writeAnnotationsInStandoff(resultZipFile)) {
-			Log.info(NLS.bind(KRAnnotationCoreMessages.annotationSuccesfullyWrittenIntheP0File, resultZipFile));
+			Log.info(NLS.bind(Messages.annotationSuccesfullyWrittenIntheP0File, resultZipFile));
 			return true;
 		}
 		return false;
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationPK.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationPK.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationPK.java	(revision 3816)
@@ -62,6 +62,6 @@
 	}
 	
 	public String toString() {
-		return getRefType() + "[" + getStartPosition() + "-" + getEndPosition() + "]";
+		return getRefType() + "[" + getStartPosition() + "-" + getEndPosition() + "]"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 3816)
@@ -12,6 +12,7 @@
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.io.IOUtils;
@@ -32,7 +33,7 @@
 		BufferedReader reader = IOUtils.getReader(conversionFile);
 		String line = reader.readLine();
 		while (line != null) {
-			int idx = line.indexOf("\t");
+			int idx = line.indexOf("\t"); //$NON-NLS-1$
 			if (idx > 0) {
 				String k = line.substring(0, idx);
 				String v = line.substring(idx + 1);
@@ -41,7 +42,7 @@
 			line = reader.readLine();
 		}
 		
-		Log.info(NLS.bind("Conversion rules: {0}.", rules));
+		Log.info(NLS.bind(Messages.ConversionRulesP0, rules));
 	}
 	
 	public CorpusRuledConvertion(LinkedHashMap<Pattern, String> rules,
@@ -54,19 +55,19 @@
 	
 	public boolean process(MainCorpus corpus) throws XMLStreamException, IOException {
 		File binaryCorpusDirectory = corpus.getProjectDirectory();
-		File txmDirectory = new File(binaryCorpusDirectory, "txm");
+		File txmDirectory = new File(binaryCorpusDirectory, "txm"); //$NON-NLS-1$
 		if (!txmDirectory.exists()) {
-			Log.warning(NLS.bind("The 'txm' directory was not found in {0}.", binaryCorpusDirectory.getAbsolutePath()));
+			Log.warning(NLS.bind(Messages.ThxTXMDirectoryWasNotFoundInP0, binaryCorpusDirectory.getAbsolutePath()));
 			return false;
 		}
 		File txmCorpusDirectory = new File(txmDirectory, corpus.getID());
 		if (!txmCorpusDirectory.exists()) {
-			Log.warning(NLS.bind("The ''{0}'' corpus directory was not found in {1}.", corpus.getName(), txmDirectory.getAbsolutePath()));
+			Log.warning(NLS.bind(Messages.TheP0CorpusDirectoryWasNotFoundInP1, corpus.getName(), txmDirectory.getAbsolutePath()));
 			return false;
 		}
 		File[] files = txmCorpusDirectory.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null || files.length == 0) {
-			Log.warning(NLS.bind("No file found in the {0} directory.", txmCorpusDirectory));
+			Log.warning(NLS.bind(Messages.NoFileFoundInTheP0Directory, txmCorpusDirectory));
 			return false;
 		}
 		ConsoleProgressBar cpb = new ConsoleProgressBar(files.length);
@@ -74,9 +75,9 @@
 			cpb.tick();
 			if (xmlFile.isDirectory()) continue;
 			if (xmlFile.isHidden()) continue;
-			if (!xmlFile.getName().endsWith(".xml")) continue;
+			if (!xmlFile.getName().endsWith(".xml")) continue; //$NON-NLS-1$
 			
-			File tmpFile = new File(xmlFile.getParentFile(), "tmp_" + xmlFile.getName());
+			File tmpFile = new File(xmlFile.getParentFile(), "tmp_" + xmlFile.getName()); //$NON-NLS-1$
 			XMLTXMFileRuledConversion converter = new XMLTXMFileRuledConversion(xmlFile, rules, null, oldType, newType, XMLTXMFileRuledConversion.ABANDON);
 			if (converter.process(tmpFile)) {
 				xmlFile.delete();
@@ -89,17 +90,17 @@
 				
 				HashSet<String> errors = converter.getNoMatchValues();
 				if (errors.size() > 0) {
-					Log.warning("Some values did not match rule: ");
+					Log.warning(Messages.SomeValuesDidNotMatchRule);
 					int i = 0;
 					for (String error : errors) {
-						Log.warning("\t" + error);
+						Log.warning("\t" + error); //$NON-NLS-1$
 						if (i >= 10) break;
 					}
 					if (errors.size() > 10) {
 						try {
-							File errorFile = new File(Toolbox.getTxmHomePath(), "errors.txt");
-							IOUtils.write(errorFile, StringUtils.join(errors, "\t"));
-							Log.warning(NLS.bind("More errors, see the {0} errors file.", errorFile.getAbsolutePath()));
+							File errorFile = new File(Toolbox.getTxmHomePath(), "errors.txt"); //$NON-NLS-1$
+							IOUtils.write(errorFile, StringUtils.join(errors, "\t")); //$NON-NLS-1$
+							Log.warning(NLS.bind(Messages.MoreErrorsSeeTheP0ErrorFile, errorFile.getAbsolutePath()));
 						}
 						catch (Exception e) {
 							e.printStackTrace();
@@ -110,12 +111,12 @@
 				
 				tmpFile.renameTo(xmlFile);
 				if (tmpFile.exists()) {
-					Log.warning(NLS.bind("Could not replace original file with the {0} result file with {1}.", xmlFile, tmpFile));
+					Log.warning(NLS.bind(Messages.CouldNotReplaceOriginalFileWithTheP0ResultFile, xmlFile, tmpFile));
 					return false;
 				}
 			}
 			else {
-				Log.warning(NLS.bind("Fail to process the {0} XML file.", xmlFile));
+				Log.warning(NLS.bind(Messages.FailToProcessTheP0XMLFile, xmlFile));
 				return false;
 			}
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3816)
@@ -16,7 +16,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.osgi.service.prefs.BackingStoreException;
 import org.txm.Toolbox;
-import org.txm.annotation.kr.core.messages.KRAnnotationCoreMessages;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.annotation.kr.core.repository.AnnotationEffect;
 import org.txm.annotation.kr.core.repository.AnnotationType;
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
@@ -162,7 +162,7 @@
 	public boolean writeAnnotations(List<Annotation> allCorpusAnnotations, IProgressMonitor monitor) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException,
 			BackingStoreException {
 		// MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(c.getName());
-		Log.info(NLS.bind(KRAnnotationCoreMessages.savingP0Annotations, allCorpusAnnotations.size()));
+		Log.info(NLS.bind(Messages.savingP0Annotations, allCorpusAnnotations.size()));
 		
 		int[] end_limits = corpus.getTextEndLimits();
 		int[] start_limits = corpus.getTextStartLimits();
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/CQPAnnotationManager.java	(revision 3816)
@@ -25,7 +25,7 @@
 	
 	MainCorpus corpus;
 	
-	public static final String REF = "ref";
+	public static final String REF = "ref"; //$NON-NLS-1$
 	
 	public CQPAnnotationManager(MainCorpus corpus) {
 		this.corpus = corpus;
@@ -103,11 +103,11 @@
 			}
 			
 			for (StructuralUnit su : corpus.getStructuralUnits()) {
-				if (su.getName().equals("text") || su.getName().equals("txmcorpus") ||
-						su.getName().equals("lb") || su.getName().equals("pb")) continue; // that's no annotation for sure ;)
+				if (su.getName().equals("text") || su.getName().equals("txmcorpus") || //$NON-NLS-1$ //$NON-NLS-2$
+						su.getName().equals("lb") || su.getName().equals("pb")) continue; // that's no annotation for sure ;) //$NON-NLS-1$ //$NON-NLS-2$
 				
 				StructuralUnitProperty sup = su.getProperty(REF);
-				if (sup == null) sup = su.getProperty("n");
+				if (sup == null) sup = su.getProperty("n"); //$NON-NLS-1$
 				if (sup != null) {
 					if (!supList.containsKey(sup)) // don't override a know annotation
 						supList.put(sup, null);
@@ -401,7 +401,7 @@
 				return struc_str[0];
 			}
 			else { // should not happens
-				Log.warning("WARNING: FOUND EXISTING ANNOTATION FOR TYPE=" + type + " START=" + start + " END=" + end);
+				Log.warning("WARNING: FOUND EXISTING ANNOTATION FOR TYPE=" + type + " START=" + start + " END=" + end); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				return null;
 			}
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/Annotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/Annotation.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/Annotation.java	(revision 3816)
@@ -21,10 +21,10 @@
 	private AnnotationPK PK;
 	
 	// corresponding to the type and value of the KnowledgeRepository, used to annotate
-	private String refVal = "";
+	private String refVal = ""; //$NON-NLS-1$
 	
 	// user in the project, responsible for the annotation, maybe should be an integer
-	private String annotatorId = "";
+	private String annotatorId = ""; //$NON-NLS-1$
 	
 	private String date;
 	
@@ -41,7 +41,7 @@
 			this.annotatorId = s;
 		}
 		else {
-			this.annotatorId = System.getProperty("user.name");
+			this.annotatorId = System.getProperty("user.name"); //$NON-NLS-1$
 		}
 	}
 	
@@ -82,7 +82,7 @@
 	
 	
 	public String toString() {
-		return getPK().toString() + "=" + getValue();
+		return getPK().toString() + "=" + getValue(); //$NON-NLS-1$
 	}
 	
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/preferences/KRAnnotationPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/preferences/KRAnnotationPreferences.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/preferences/KRAnnotationPreferences.java	(revision 3816)
@@ -11,11 +11,11 @@
  */
 public class KRAnnotationPreferences extends TXMPreferences {
 	
-	public static final String UPDATE_EDITION = "udpate_edition";
+	public static final String UPDATE_EDITION = "udpate_edition"; //$NON-NLS-1$
 	
-	public static final String UPDATE = "udpate";
+	public static final String UPDATE = "udpate"; //$NON-NLS-1$
 	
-	public static final String PRESERVE_ANNOTATIONS = "reset_temporary_annotations_when leaving_txm";
+	public static final String PRESERVE_ANNOTATIONS = "reset_temporary_annotations_when leaving_txm"; //$NON-NLS-1$
 	
 	/**
 	 * Gets the instance.
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/KRAnnotationCoreMessages.java	(revision 3816)
@@ -1,34 +0,0 @@
-package org.txm.annotation.kr.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * KR annotation Core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class KRAnnotationCoreMessages extends NLS {
-	
-	private static final String BUNDLE_NAME = "org.txm.annotation.kr.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String savingP0Annotations;
-	
-	public static String annotationSuccesfullyWritten;
-	
-	public static String savingAnnotations;
-	
-	public static String annotationSuccesfullyWrittenIntheP0File;
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, KRAnnotationCoreMessages.class);
-	}
-	
-	private KRAnnotationCoreMessages() {
-		
-	}
-}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java	(revision 3816)
@@ -0,0 +1,53 @@
+package org.txm.annotation.kr.core.messages;
+
+import java.io.File;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * KR annotation Core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class Messages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.annotation.kr.core.messages.messages"; //$NON-NLS-1$
+
+	public static String KRIsNotConnectedCheckingCredentialRequirement;
+
+	public static String WarningDuplicatedP0ValueInP1OfTheP2KRIgnoringTheValue;
+
+	public static String ErrorWhileLoadingTypesFromFileP0;
+	
+	public static String savingP0Annotations;
+	
+	public static String annotationSuccesfullyWritten;
+	
+	public static String savingAnnotations;
+	
+	public static String annotationSuccesfullyWrittenIntheP0File;
+	
+	public static String ConversionRulesP0;
+	public static String CouldNotReplaceOriginalFileWithTheP0ResultFile;
+	public static String FailToProcessTheP0XMLFile;
+	public static String MoreErrorsSeeTheP0ErrorFile;
+	public static String NoFileFoundInTheP0Directory;
+	public static String SomeValuesDidNotMatchRule;
+	public static String TheP0CorpusDirectoryWasNotFoundInP1;
+	public static String ThxTXMDirectoryWasNotFoundInP0;
+
+	public static String FailToGetSQLConnectionWithTheP0PropertiesErrorP1;
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+	private Messages() {
+		
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 3815)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/messages.properties	(revision 3816)
@@ -4,3 +4,15 @@
 annotationSuccesfullyWrittenIntheP0File=Annotations successfully written in the {0} file.
 savingAnnotations=Saving annotations.
 savingP0Annotations=Saving {0} annotations...
+ConversionRulesP0=Conversion rules: {0}.
+CouldNotReplaceOriginalFileWithTheP0ResultFile=Could not replace original file with the {0} result file with {1}.
+FailToProcessTheP0XMLFile=Fail to process the {0} XML file.
+MoreErrorsSeeTheP0ErrorFile=More errors, see the {0} errors file.
+NoFileFoundInTheP0Directory=No file found in the {0} directory.
+SomeValuesDidNotMatchRule=Some values did not match rule: 
+TheP0CorpusDirectoryWasNotFoundInP1=The ''{0}'' corpus directory was not found in {1}.
+ThxTXMDirectoryWasNotFoundInP0=The 'txm' directory was not found in {0}.
+FailToGetSQLConnectionWithTheP0PropertiesErrorP1=Fail to get SQL connection with the {0} properties, error={1}
+KRIsNotConnectedCheckingCredentialRequirement=KR is not connected, checking credential requirement.
+LocalKnowledgeRepository.ErrorWhileLoadingTypesFromFileP0=Error while loading types from file: {0}.
+LocalKnowledgeRepository.WarningDuplicatedP0ValueInP1OfTheP2KRIgnoringTheValue=WARNING: duplicated ''{0}'' value ID in  the ''{1}'' type of the ''{3}'' knowledge repository. Ignoring the value.
